# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: brotli-python
  version: 1.0.9
source:
  fn: brotli-1.0.9.tar.gz
  patches:
    - 0001-Add-separate-options-to-disable-shared-static-librar.patch
    - 0002-Fix-pkgconfig-rpath.patch
  sha256: f9e8d81d0405ba66d181529af42a3354f838c939095ff99930da6aa9cdf6fe46
  url: https://github.com/google/brotli/archive/v1.0.9.tar.gz
build:
  number: 8
  run_exports:
    - brotli >=1.0.9,<2.0a0
  string: py312h419075a_8
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 h998d150_5
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.3.11 hd43f75c_0
    - cmake 3.26.4 h3bd60fd_0
    - expat 2.6.2 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 8.5.0 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libffi 3.4.4 h419075a_0
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.10.0 h6ac735f_2
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libuv 1.44.2 h998d150_0
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - ninja 1.10.2 hd43f75c_5
    - ninja-base 1.10.2 h59a28a9_5
    - openssl 3.0.13 h2f4d8fa_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - rhash 1.4.3 h6ac735f_0
    - sqlite 3.41.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.5 h6a09583_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - brotli 1.0.9 h998d150_8
    - bzip2 1.0.8 h998d150_5
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pip 23.3.1 py312hd43f75c_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py312hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py312hd43f75c_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - python >=3.12,<3.13.0a0
test:
  imports:
    - brotli
about:
  home: https://github.com/google/brotli
  license: MIT
  license_file: LICENSE
  summary: Brotli compression format
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 53935df4-262a-4720-9c7c-cfee7bd981ff
  recipe-maintainers:
    - CJ-Wright
    - wesm
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/brotli-feedstock.git
  sha: ba7f7649d1161e8c386bce5911b643b8a2cca634
